Bug 114112 - Fields - Variables not listed alphabetically from 4.2
Summary: Fields - Variables not listed alphabetically from 4.2
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:5.4.4 target:6.0.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-11-28 08:52 UTC by Timur
Modified: 2017-12-01 10:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2017-11-28 08:52:07 UTC
Writer's Fields - Variables are no more listed alphabetically from LO 4.2.

Steps:
1. open attachment 134717 [details] from Bug 109197
2. Insert - Field - More Fields.. or press Ctrl+F2 and go to tab Variables
3. see Input Field or User Field, variables are not listed alphabetically.

Not obvious why it wouldn't be listed alphabetically like up to 4.1.6. Looks like regression.
Comment 1 Jacques Guilleron 2017-11-28 10:57:49 UTC
Hi Timur,
I confirm the regression.
Variables listed alphabetically in user field with
LO 4.1.5.1 Build ID: e0a1805d063a472a7b281ae3977a26d42a48b20

Alphabetic order missing in the same conditions with
LO 4.2.0.0.beta1 Build ID: f4ca7b35f580827ad2c69ea6d29f7c9b48ebbac7
and upper versions under Windows 7.
Comment 2 Xisco Faulí 2017-11-30 14:20:45 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2013-08-21 10:50:19 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2013-08-21 13:15:47 +0100
commit	400b3acb1fdbb2578cae1556cb1ac9a0b30ad367 (patch)
tree	d3b4cc6dfd82cb74c5960fa0e9068173e9a5a8d1
parent	86450f9fce5039cc700d23fe70b1a1a810276020 (diff)
convert field var page to .ui

Bisected with: bibisect-42max

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2017-11-30 21:03:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d91e3f5fb4228b5e4c42ac2532fd84bea6cdbe7d

Resolves: tdf#114112 sort 'select' list

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2017-11-30 21:04:03 UTC
backports for 6-0 and 5-4 in gerrit
Comment 5 Commit Notification 2017-12-01 01:13:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26cd0bb46559c01e1a871098efb385f57ea6de43&h=libreoffice-5-4

Resolves: tdf#114112 sort 'select' list

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2017-12-01 09:50:49 UTC
Great.
Comment 7 Commit Notification 2017-12-01 10:47:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0471edee5f47c6bca74895b7b9f8968a922cb954&h=libreoffice-6-0

Resolves: tdf#114112 sort 'select' list

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.